Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta
Class MappingInfoRepository

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfoRepository

public class MappingInfoRepository
extends java.lang.Object

Simple repository for `ClassMappingInfo`s. Does not parse mappings that are not already cached.

Constructor Summary
`MappingInfoRepository(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)` Constructor.

Method Summary
`void` | `addMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)` Add the given class mapping's info to the set of mappings.
`void` | `addMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMappingInfo mapping)` Add the given mapping to the set of mapping infos stored.
`void` | `addMappingInfos(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfoRepository repos)` Add all the mappings in the given repository to the set of mappings stored.
`void` | `addMappingInfos(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingRepository repos)` Add all the mappings in the given repository to the set of mappings stored.
`void` | `clear()` Clear the set of mappings stored.
`com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMappingInfo` | `getMappingInfo(java.lang.Class cls, boolean validate)` Return the mapping info for the given class.
`com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMappingInfo[]` | `getMappingInfos()` Return the set of mapping infos stored.
`boolean` | `removeMappingInfo(java.lang.Class cls)` Remove the given mapping from the set stored.
`boolean` | `removeMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)` Remove the given mappings's info from the set stored.
`boolean` | `removeMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMappingInfo mapping)` Remove the given mapping from the set stored.
`boolean` | `removeMappingInfos(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfoRepository repos)` Remove all mappings in the given repository from the set stored.
`boolean` | `removeMappingInfos(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingRepository repos)` Remove all mappings in the given repository from the set stored.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingInfoRepository

    public MappingInfoRepository(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### getMappingInfo

    public com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMappingInfo getMappingInfo(java.lang.Class cls,
                                                                                  boolean validate)

  Return the mapping info for the given class.

  Parameters:
    `validate` - if true, throws a `MappingInfoNotFoundException` if no mapping info is found

### getMappingInfos

    public com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMappingInfo[] getMappingInfos()

  Return the set of mapping infos stored.

### addMappingInfo

    public void addMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMappingInfo mapping)

  Add the given mapping to the set of mapping infos stored.

### addMappingInfo

    public void addMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)

  Add the given class mapping's info to the set of mappings.

### addMappingInfos

    public void addMappingInfos(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfoRepository repos)

  Add all the mappings in the given repository to the set of mappings stored.

### addMappingInfos

    public void addMappingInfos(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingRepository repos)

  Add all the mappings in the given repository to the set of mappings stored.

### removeMappingInfo

    public boolean removeMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMappingInfo mapping)

  Remove the given mapping from the set stored.

  Returns:
    true if mapping was removed, false if not in set

### removeMappingInfo

    public boolean removeMappingInfo(java.lang.Class cls)

  Remove the given mapping from the set stored.

  Returns:
    true if mapping was removed, false if not in set

### removeMappingInfo

    public boolean removeMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)

  Remove the given mappings's info from the set stored.

  Returns:
    true if mapping removed, false if not in set

### removeMappingInfos

    public boolean removeMappingInfos(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfoRepository repos)

  Remove all mappings in the given repository from the set stored.

  Returns:
    true if any mappings in the repository were removed, false if none in set

### removeMappingInfos

    public boolean removeMappingInfos(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingRepository repos)

  Remove all mappings in the given repository from the set stored.

  Returns:
    true if any mappings in the repository were removed, false if none in set

### clear

    public void clear()

  Clear the set of mappings stored. This method also clears the internal parser's cache of parsed files.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.